Module ij
Package ij

# Class LookUpTable

java.lang.Object
ij.LookUpTable

public class LookUpTable extends Object
This class represents a color look-up table.

## Constructor Summary

Constructors
Constructor
Description
`LookUpTable(Image img)`
Constructs a LookUpTable object from an AWT Image.
`LookUpTable(ColorModel cm)`
Constructs a LookUpTable object from a ColorModel.

## Method Summary

Modifier and Type
Method
Description
`static ColorModel`
`createGrayscaleColorModel(boolean invert)`
`void`
`drawColorBar(Graphics g, int x, int y, int width, int height)`
`void`
`drawUnscaledColorBar(ImageProcessor ip, int x, int y, int width, int height)`
`byte[]`
`getBlues()`
`ColorModel`
`getColorModel()`
`byte[]`
`getGreens()`
`int`
`getMapSize()`
`byte[]`
`getReds()`
`boolean`
`isGrayscale()`
Returns `true` if this is a 256 entry grayscale LUT.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LookUpTable

public LookUpTable(Image img)
Constructs a LookUpTable object from an AWT Image.

### LookUpTable

public LookUpTable(ColorModel cm)
Constructs a LookUpTable object from a ColorModel.

## Method Details

### getMapSize

public int getMapSize()

### getReds

public byte[] getReds()

### getGreens

public byte[] getGreens()

### getBlues

public byte[] getBlues()

### getColorModel

public ColorModel getColorModel()

### isGrayscale

public boolean isGrayscale()
Returns `true` if this is a 256 entry grayscale LUT.

See Also:
  - `ImageProcessor.isColorLut()`

### drawColorBar

public void drawColorBar(Graphics g, int x, int y, int width, int height)

### drawUnscaledColorBar

public void drawUnscaledColorBar(ImageProcessor ip, int x, int y, int width, int height)

### createGrayscaleColorModel

public static ColorModel createGrayscaleColorModel(boolean invert)